CREATE TABLE ego_change_history_int (
    CHANGE_HISTORY_ID         NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CHANGE_OBJECT_STATUS      VARCHAR2(320)     NOT NULL,
    CO_NUMBER                 VARCHAR2(1200),
    ORGANIZATION_CODE         VARCHAR2(72)  ,
    CHANGE_ID                 NUMBER(18, 0) ,
    LOAD_REQUEST_ID           NUMBER(18, 0) ,
    REQUEST_ID                NUMBER(18, 0) ,
    BATCH_ID                  NUMBER(18, 0) ,
    PROCESS_STATUS            VARCHAR2(12)  ,
    ACTION_TYPE_VALUE         VARCHAR2(4000),
    SUB_ACTION_TYPE_VALUE     VARCHAR2(4000),
    AFFECTED_OBJECT           VARCHAR2(200) ,
    COMMENTS                  VARCHAR2(4000),
    AUTHOR_NAME               VARCHAR2(4000)    NOT NULL,
    AUTHOR_DATE               TIMESTAMP(6)      NOT NULL,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256) ,
    CREATION_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY           VARCHAR2(256) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CHANGE_HISTORY_ID         NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CHANGE_OBJECT_STATUS      VARCHAR2(320)     NOT NULL,
    CO_NUMBER                 VARCHAR2(1200),
    ORGANIZATION_CODE         VARCHAR2(72)  ,
    CHANGE_ID                 NUMBER(18, 0) ,
    LOAD_REQUEST_ID           NUMBER(18, 0) ,
    REQUEST_ID                NUMBER(18, 0) ,
    BATCH_ID                  NUMBER(18, 0) ,
    PROCESS_STATUS            VARCHAR2(12)  ,
    ACTION_TYPE_VALUE         VARCHAR2(4000),
    SUB_ACTION_TYPE_VALUE     VARCHAR2(4000),
    AFFECTED_OBJECT           VARCHAR2(200) ,
    COMMENTS                  VARCHAR2(4000),
    AUTHOR_NAME               VARCHAR2(4000)    NOT NULL,
    AUTHOR_DATE               TIMESTAMP(6)      NOT NULL,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256) ,
    CREATION_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY           VARCHAR2(256) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CONSTRAINT pk_ego_change_history_int PRIMARY KEY (CHANGE_HISTORY_ID, CHANGE_HISTORY_ID)
);
